%define name    timemachine 
%define version 0.2.1
%define release 1

%define desktop_vendor  planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Utility to constantly record the last ten seconds of audio
Name:         %{name}
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Copyright:    GPL 
Group:        Applications/Multimedia
Source:       http://plugin.org.uk/timemachine/%{name}-%{version}.tar.gz
URL:          http://plugin.org.uk/timemachine/
BuildRoot:    %{_tmppath}/%{name}-build-root
Packager:     Adrian Likins <alikins@redhat.com> 
Distribution: Planet CCRMA

BuildRequires: SDL-devel libsndfile-devel

%description
This is a simple jack program to record sounds that would otherwise have been
lost. It is constantly recording a rolling buffer of 10 seconds worth of audio,
and, when you click record it write the last 10 seconds to disk and catches the
recording up to realtime.

%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# redhat menus
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Jack Time Machine
Comment=Utility to constantly record last 10 seconds of audio
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF
                                                                                                    
%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/timemachine
%{_datadir}/timemachine
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif


%changelog
* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.Stanford.EDU> 0.2.1-1
- updated to 0.2.1, fixed file list
- added to Planet CCCRMA, thanks to Adrian Likins for the original
  spec file!
* Wed Nov 26 2003 Adrian Likins <alikins@redhat.com> 0.0.2-1
- initial package
